---@meta

---@class ABP_CosmeticPickup_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field HatMesh UStaticMesh
---@field CosmeticTag FGameplayTag
local ABP_CosmeticPickup_C = {}

---@param Hat UStaticMesh
function ABP_CosmeticPickup_C:UpdateMesh(Hat) end
function ABP_CosmeticPickup_C:OnRep_HatMesh() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_CosmeticPickup_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_CosmeticPickup_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
function ABP_CosmeticPickup_C:ReceiveBeginPlay() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_CosmeticPickup_C:CallBackPrimaryFire(Player, Stop) end
---@param EntryPoint int32
function ABP_CosmeticPickup_C:ExecuteUbergraph_BP_CosmeticPickup(EntryPoint) end


